Bug 825868 - [abrt] pitivi-0.15.2-1.fc17: trackobject.py:362:clipAppearanceSettingsChanged:TypeError: could not convert argument to correct param type
[abrt] pitivi-0.15.2-1.fc17: trackobject.py:362:clipAppearanceSettingsChanged...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:b9ffa57231e30191181addfd3f9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 15:46 EDT by Giovanni Campagna
Modified: 2013-07-31 22:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:42:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giovanni Campagna 2012-05-28 15:46:19 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/bin/pitivi
comment:        I just dragged a clip to the timeline...
executable:     /usr/bin/pitivi
kernel:         3.3.7-1.fc17.x86_64
time:           lun 28 mag 2012 21:45:39 CEST
uid:            1000
username:       giovanni

backtrace:
:trackobject.py:362:clipAppearanceSettingsChanged:TypeError: could not convert argument to correct param type
:
:Traceback (most recent call last):
:  File "/usr/share/pitivi/python/pitivi/ui/timeline.py", line 409, in _dragMotionCb
:    self._add_temp_source()
:  File "/usr/share/pitivi/python/pitivi/ui/timeline.py", line 506, in _add_temp_source
:    for factory in self._factories]
:  File "/usr/share/pitivi/python/pitivi/timeline/timeline.py", line 1728, in addSourceFactory
:    track.addTrackObject(track_object)
:  File "/usr/share/pitivi/python/pitivi/timeline/track.py", line 1179, in addTrackObject
:    self.emit('track-object-added', track_object)
:  File "/usr/share/pitivi/python/pitivi/signalinterface.py", line 151, in emit
:    *args, **kwargs)
:  File "/usr/share/pitivi/python/pitivi/signalinterface.py", line 126, in emit
:    res = cb(*ar, **kw)
:  File "/usr/share/pitivi/python/pitivi/ui/track.py", line 106, in _objectAdded
:    w = TrackObject(self.app, track_object, self.track, self.timeline)
:  File "/usr/share/pitivi/python/pitivi/ui/trackobject.py", line 289, in __init__
:    self.settings = instance.settings
:  File "/usr/share/pitivi/python/pitivi/receiver.py", line 51, in __set__
:    self.setter(instance)
:  File "/usr/share/pitivi/python/pitivi/ui/trackobject.py", line 348, in _setSettings
:    self.clipAppearanceSettingsChanged()
:  File "/usr/share/pitivi/python/pitivi/ui/trackobject.py", line 362, in clipAppearanceSettingsChanged
:    self.bg.props.fill_pattern = pattern
:TypeError: could not convert argument to correct param type
:
:Local variables in innermost frame:
:color: 160
:pattern: <cairo.LinearGradient object at 0x2a5fbd0>
:self: <TrackObject object at 0x440ba00 (GooCanvasGroup at 0x43b3db0)>
:args: ()
Comment 1 Fedora End Of Life 2013-07-03 19:45:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 22:42:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.